<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="14490.70" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" colorMatched="YES" initialViewController="FLs-Iq-e9B">
    <device id="retina4_7" orientation="portrait">
        <adaptation id="fullscreen"/>
    </device>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="14490.49"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <scenes>
        <!--View Controller-->
        <scene sceneID="tne-QT-ifu">
            <objects>
                <viewController id="BYZ-38-t0r" customClass="ViewController" customModule="CALayerDemo" customModuleProvider="target" sceneMemberID="viewController">
                    <layoutGuides>
                        <viewControllerLayoutGuide type="top" id="y3c-jy-aDJ"/>
                        <viewControllerLayoutGuide type="bottom" id="wfy-db-euE"/>
                    </layoutGuides>
                    <view key="view" contentMode="scaleToFill" id="8bC-Xf-vdC">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <imageView userInteractionEnabled="NO" contentMode="scaleToFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="prog" translatesAutoresizingMaskIntoConstraints="NO" id="Qqh-PB-lxc">
                                <rect key="frame" x="87.5" y="85" width="200" height="200"/>
                                <constraints>
                                    <constraint firstAttribute="width" secondItem="Qqh-PB-lxc" secondAttribute="height" multiplier="1:1" id="OfY-R7-4Q9"/>
                                    <constraint firstAttribute="height" constant="200" id="ib7-rg-KQ7"/>
                                </constraints>
                            </imageView>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="5Y4-y6-p6F">
                                <rect key="frame" x="119" y="537" width="137" height="89"/>
                                <color key="backgroundColor" red="0.30734436200569726" green="0.69822731598984777" blue="0.26999067148183969" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                <constraints>
                                    <constraint firstAttribute="width" secondItem="5Y4-y6-p6F" secondAttribute="height" multiplier="137:89" id="AMf-ks-h2C"/>
                                    <constraint firstAttribute="height" constant="89" id="kDg-NQ-Jwp"/>
                                </constraints>
                                <fontDescription key="fontDescription" type="system" pointSize="30"/>
                                <state key="normal" title="Tap me!">
                                    <color key="titleColor" red="1" green="1" blue="1" alpha="1" colorSpace="calibratedRGB"/>
                                </state>
                                <connections>
                                    <action selector="button:" destination="BYZ-38-t0r" eventType="touchUpInside" id="ebr-TF-hAe"/>
                                </connections>
                            </button>
                        </subviews>
                        <color key="backgroundColor" red="0.75981166099509001" green="0.89853051655823579" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                        <constraints>
                            <constraint firstItem="wfy-db-euE" firstAttribute="top" secondItem="5Y4-y6-p6F" secondAttribute="bottom" constant="41" id="CRX-xV-F3c"/>
                            <constraint firstItem="5Y4-y6-p6F" firstAttribute="centerX" secondItem="8bC-Xf-vdC" secondAttribute="centerX" id="HUf-hM-B9b"/>
                            <constraint firstItem="Qqh-PB-lxc" firstAttribute="centerX" secondItem="8bC-Xf-vdC" secondAttribute="centerX" id="Q7m-9W-uV8"/>
                            <constraint firstItem="Qqh-PB-lxc" firstAttribute="top" secondItem="y3c-jy-aDJ" secondAttribute="bottom" constant="21" id="eo3-20-F4S"/>
                        </constraints>
                    </view>
                    <navigationItem key="navigationItem" id="4yl-2Q-G8C"/>
                    <connections>
                        <outlet property="button" destination="5Y4-y6-p6F" id="uQA-9B-IUZ"/>
                        <outlet property="imageView" destination="Qqh-PB-lxc" id="7OM-vv-M1l"/>
                        <segue destination="QOs-tZ-jqO" kind="show" identifier="showSecondScreen" id="ZUq-BF-UMy"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="dkx-z0-nzr" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="964" y="34.632683658170919"/>
        </scene>
        <!--Second View Controller-->
        <scene sceneID="fob-iX-ubG">
            <objects>
                <viewController id="QOs-tZ-jqO" customClass="SecondViewController" customModule="CALayerDemo" customModuleProvider="target" sceneMemberID="viewController">
                    <layoutGuides>
                        <viewControllerLayoutGuide type="top" id="P3L-DB-Vjc"/>
                        <viewControllerLayoutGuide type="bottom" id="WGf-4X-ACi"/>
                    </layoutGuides>
                    <view key="view" contentMode="scaleToFill" id="SGZ-vu-93B">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <imageView userInteractionEnabled="NO" contentMode="scaleToFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="cup" translatesAutoresizingMaskIntoConstraints="NO" id="XBb-8i-2Sl">
                                <rect key="frame" x="87.5" y="233.5" width="200" height="200"/>
                                <color key="backgroundColor" red="0.84976143376059732" green="1" blue="0.88721763823472222" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                <constraints>
                                    <constraint firstAttribute="height" constant="200" id="42g-6v-MpV"/>
                                    <constraint firstAttribute="width" secondItem="XBb-8i-2Sl" secondAttribute="height" multiplier="1:1" id="sMF-yx-1cX"/>
                                </constraints>
                            </imageView>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="fk2-Ov-uZX">
                                <rect key="frame" x="87.5" y="537" width="200" height="89"/>
                                <color key="backgroundColor" red="0.30734436199999998" green="0.69822731599999999" blue="0.2699906715" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                <constraints>
                                    <constraint firstAttribute="width" secondItem="fk2-Ov-uZX" secondAttribute="height" multiplier="200:89" id="PPV-qm-9zd"/>
                                    <constraint firstAttribute="height" constant="89" id="YGf-WO-f5C"/>
                                </constraints>
                                <fontDescription key="fontDescription" type="system" pointSize="30"/>
                                <state key="normal" title="Take the cup">
                                    <color key="titleColor" red="1" green="1" blue="1" alpha="1" colorSpace="calibratedRGB"/>
                                </state>
                                <connections>
                                    <action selector="tapButton:" destination="QOs-tZ-jqO" eventType="touchUpInside" id="5kn-8t-vxk"/>
                                </connections>
                            </button>
                        </subviews>
                        <color key="backgroundColor" red="0.76024037599563599" green="0.89662289619445801" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                        <constraints>
                            <constraint firstItem="WGf-4X-ACi" firstAttribute="top" secondItem="fk2-Ov-uZX" secondAttribute="bottom" constant="41" id="I6C-zw-3wd"/>
                            <constraint firstItem="fk2-Ov-uZX" firstAttribute="centerX" secondItem="SGZ-vu-93B" secondAttribute="centerX" id="YSh-X4-CNX"/>
                            <constraint firstItem="XBb-8i-2Sl" firstAttribute="centerY" secondItem="SGZ-vu-93B" secondAttribute="centerY" id="ct5-Dg-QoK"/>
                            <constraint firstItem="XBb-8i-2Sl" firstAttribute="centerX" secondItem="SGZ-vu-93B" secondAttribute="centerX" id="hpD-RV-eJv"/>
                        </constraints>
                    </view>
                    <connections>
                        <outlet property="button" destination="fk2-Ov-uZX" id="McA-Th-Ibn"/>
                        <outlet property="imageView" destination="XBb-8i-2Sl" id="pqH-dt-9m6"/>
                        <segue destination="pbs-yj-9Ix" kind="show" identifier="showThirdViewController" id="pgi-Xq-z7h"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="DNp-n9-Cj6" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="1751.2" y="34.632683658170919"/>
        </scene>
        <!--Third View Controller-->
        <scene sceneID="80G-b4-vh6">
            <objects>
                <viewController id="pbs-yj-9Ix" customClass="ThirdViewController" customModule="CALayerDemo" customModuleProvider="target" sceneMemberID="viewController">
                    <layoutGuides>
                        <viewControllerLayoutGuide type="top" id="4ye-3k-akF"/>
                        <viewControllerLayoutGuide type="bottom" id="Lof-ba-j79"/>
                    </layoutGuides>
                    <view key="view" contentMode="scaleToFill" id="8hB-HI-KgH">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="RQA-0R-4WV" customClass="View" customModule="CALayerDemo" customModuleProvider="target">
                                <rect key="frame" x="38" y="183.5" width="299.5" height="300"/>
                                <color key="backgroundColor" red="1" green="0.46076426749999999" blue="0.11977374759999999" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                <constraints>
                                    <constraint firstAttribute="height" constant="300" id="BZj-Db-hMT"/>
                                    <constraint firstAttribute="width" constant="299.5" id="Tqi-uN-AlZ"/>
                                </constraints>
                                <userDefinedRuntimeAttributes>
                                    <userDefinedRuntimeAttribute type="number" keyPath="cornerRadiiSize">
                                        <real key="value" value="109"/>
                                    </userDefinedRuntimeAttribute>
                                </userDefinedRuntimeAttributes>
                            </view>
                            <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="Hti-xm-RcE" customClass="Button" customModule="CALayerDemo" customModuleProvider="target">
                                <rect key="frame" x="37.5" y="509" width="300" height="104"/>
                                <constraints>
                                    <constraint firstAttribute="width" constant="300" id="Sna-5e-kJc"/>
                                    <constraint firstAttribute="height" constant="104" id="VJa-P8-Nbh"/>
                                </constraints>
                                <state key="normal" title="Button"/>
                                <userDefinedRuntimeAttributes>
                                    <userDefinedRuntimeAttribute type="number" keyPath="cornerRadius">
                                        <real key="value" value="40"/>
                                    </userDefinedRuntimeAttribute>
                                    <userDefinedRuntimeAttribute type="color" keyPath="color">
                                        <color key="value" red="0.48793687320000001" green="0.86983889250000002" blue="0.1016822443" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                    </userDefinedRuntimeAttribute>
                                </userDefinedRuntimeAttributes>
                                <connections>
                                    <action selector="pressButton:" destination="pbs-yj-9Ix" eventType="touchUpInside" id="tqo-VG-hT6"/>
                                </connections>
                            </button>
                        </subviews>
                        <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                        <constraints>
                            <constraint firstItem="Hti-xm-RcE" firstAttribute="centerX" secondItem="8hB-HI-KgH" secondAttribute="centerX" id="0S6-wb-slg"/>
                            <constraint firstItem="RQA-0R-4WV" firstAttribute="centerX" secondItem="8hB-HI-KgH" secondAttribute="centerX" id="HYu-nh-fkp"/>
                            <constraint firstItem="RQA-0R-4WV" firstAttribute="centerY" secondItem="8hB-HI-KgH" secondAttribute="centerY" id="rTM-Ek-o4p"/>
                            <constraint firstItem="Hti-xm-RcE" firstAttribute="top" secondItem="RQA-0R-4WV" secondAttribute="bottom" constant="25.5" id="zF3-sF-KUu"/>
                        </constraints>
                    </view>
                    <connections>
                        <segue destination="BSb-Ne-Wq3" kind="show" identifier="showFourthScreen" id="jYl-Rt-eez"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="89d-to-nl2" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="2528.8000000000002" y="45.42728635682159"/>
        </scene>
        <!--Fourth View Controller-->
        <scene sceneID="E3g-Vm-V4g">
            <objects>
                <viewController id="BSb-Ne-Wq3" customClass="FourthViewController" customModule="CALayerDemo" customModuleProvider="target" sceneMemberID="viewController">
                    <layoutGuides>
                        <viewControllerLayoutGuide type="top" id="Xrf-6p-4ov"/>
                        <viewControllerLayoutGuide type="bottom" id="xSC-Ye-3fF"/>
                    </layoutGuides>
                    <view key="view" contentMode="scaleToFill" id="29k-G9-9nv">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <color key="backgroundColor" red="0.3924763362" green="0.91030033420000001" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                    </view>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="GOb-6R-Kbg" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="3303.1999999999998" y="42.728635682158924"/>
        </scene>
        <!--Navigation Controller-->
        <scene sceneID="g8i-LW-ypV">
            <objects>
                <navigationController automaticallyAdjustsScrollViewInsets="NO" id="FLs-Iq-e9B" sceneMemberID="viewController">
                    <toolbarItems/>
                    <navigationBar key="navigationBar" contentMode="scaleToFill" insetsLayoutMarginsFromSafeArea="NO" id="d3a-ya-aaF">
                        <rect key="frame" x="0.0" y="20" width="375" height="44"/>
                        <autoresizingMask key="autoresizingMask"/>
                    </navigationBar>
                    <nil name="viewControllers"/>
                    <connections>
                        <segue destination="BYZ-38-t0r" kind="relationship" relationship="rootViewController" id="0gN-I9-FTK"/>
                    </connections>
                </navigationController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="djA-et-WYK" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="24.800000000000001" y="34.632683658170919"/>
        </scene>
    </scenes>
    <resources>
        <image name="cup" width="200" height="200"/>
        <image name="prog" width="200" height="200"/>
    </resources>
</document>
